package edu.gac.max.puzzle;

/**
 * @author Max Hailperin, Barbara Kaiser, and Karl Knight
 * 
 * This file contains excerpts from the textbook Concrete Abstractions: An Introduction to Computer Science Using Scheme,
 * by Max Hailperin, Barbara Kaiser, and Karl Knight, Copyright (c) 1998 by the authors. Full text is available for free
 * at http://www.gustavus.edu/+max/concrete-abstractions.html
 * 
 * Modified by Max Hailperin in November 2013 to separate model from GUI.
 */
public interface Model {
	
	public void initializeTiles();

	public void pushTile(int row, int col);

	/**
	 * Illegal to call until after the ModelListener's onModelChanged method has been called.
	 */
	public String get(int row, int col);

	public void setModelListener(ModelListener listener);
}
